declare @uid as varchar (50)
declare @otros as int
declare @otro as int
select @uid=uid from seg_usuario where id=1
set @otros = (select id from gui_funcionalidad where nombreControl = 'cat_catalogo_producto' and id_tipoFuncionalidad =3)
set @otro=(select id from [gui_funcionalidad] Where  nombreControl ='inc_resumenProductos' and id_tipoFuncionalidad=1)
if(not @otros is null and  not @otro is null)
begin
INSERT INTO [seg_perfil_funcionalidad] ([uid]
,[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[perfil_funcionalidad],[id_perfil],[id_funcionalidad])
select distinct @uid,01,1,1,getdate() ,getdate(),1,'',id_perfil,@otro
from seg_perfil_funcionalidad 
where id_funcionalidad in (@otros) and id_perfil not in (select id_perfil from seg_perfil_funcionalidad where id_funcionalidad = @otro)
order by id_perfil
end
